%define builtin_release_name Taroon Update 9
%define builtin_release_variant Desktop
%define builtin_release_version 3%{builtin_release_variant}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}

%define product_family Red Hat Enterprise Linux
%if %{builtin_release_variant} == Desktop
%define product_family Red Hat
%endif

%define current_arch %{_arch}

Summary: %{product_family} release file
Name: redhat-release
Version: %{real_release_version}
Release: 13.9.7
License: GPL
Group: System Environment/Base
Source0: redhat-release-%{builtin_release_version}.tar.gz
Source1: NOTICE-END-OF-LIFE.txt
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de
BuildRoot: %{_tmppath}/redhat-release-root
%if %{builtin_release_variant} == AS
ExclusiveArch: i386 x86_64 ia64 ppc s390 s390x
%endif
%if %{builtin_release_variant} == ES
ExclusiveArch: i386 x86_64 ia64
%endif
%if %{builtin_release_variant} == WS
ExclusiveArch: i386 x86_64 ia64
%endif
%if %{builtin_release_variant} == Desktop
ExclusiveArch: i386 x86_64
%endif

%description
%{product_family} release files

%prep
%setup -q -n redhat-release-%{builtin_release_version}
cp %{SOURCE1} .

%if %{builtin_release_variant} != common
%%build 
python -c "import py_compile; py_compile.compile('eula.py')"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{product_family} %{builtin_release_variant} release 3 (%{real_release_name})" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp %{current_arch}/supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%if %{builtin_release_variant} != common
%attr(0644,root,root) /etc/redhat-release
%doc %{current_arch}/R*
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*
%endif
%doc EULA GPL autorun-template README-Accessibility
%doc RPM-GPG-KEY RPM-GPG-KEY-beta
%doc NOTICE-END-OF-LIFE.txt

%changelog
* Fri Nov  6 2009 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_variant}}-13.9.7
- Updated End of Life text
- Resolves: rhbz#531220

* Tue Oct 27 2009 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_variant}}-13.9.6
- Add End of Life notice

* Tue May 22 2007 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_variant}-13.9.5
- Include latest Italian translations

* Wed May  16 2007 Balint Cristian <cbalint@redhat.com> - 3%{builtin_release_variant}-13.9.3
- manual implant missing italian language docs.

* Wed May  9 2007 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_variant}-13.9.2
- Updated for RHEL 3 U9 GA
- Relates: rhbz#234553

* Thu Mar 29 2007 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_variant}-13.9.1
- Updated for RHEL 3 U9
- Relates: rhbz#234553

* Fri Jul  7 2006 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_variant}-13.8.3
- Updated for RHEL 3 U8 final

* Tue Nov 29 2005 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_variant}-13.7.0
- Updated for RHEL 3 U7 Beta
- Switch /etc/issue and /etc/issue.net to (noreplace) bz #158292

* Thu Sep  8 2005 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_variant}-13.6.2
- Updated for RHEL 3 U6 final

* Thu Jul 28 2005 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_version}-13.6.0
- Updated for RHEL 3 U6 Beta
